server.port=8089

spring.application.name=slog
#\u6CE8\u518C\u5230\u6211\u4EEC\u672C\u5730\u7684eureka\u6CE8\u518C\u4E2D\u5FC3\uFF0C\u7AEF\u53E38081
eureka.client.service-url.defaultZone=http://xhschool:Xhkjedud07@127.0.0.1:8081/eureka/
eureka.client.register-with-eureka=true
eureka.client.fetch-registry=true
#\u8BBE\u7F6Eeureka\u8F93\u51FA\u65E5\u5FD7\u7EA7\u522B
logging.level.com.netflix=error

spring.datasource.url=jdbc:mysql://dbtest.xhkjedu.com:3306/xhkjedu_school_test?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&rewriteBatchedStatements=true&allowMultiQueries=true
spring.datasource.username=root
spring.datasource.password=HNxhkjedu!@#07
spring.mvc.hiddenmethod.filter.enabled=true

#\u6570\u636E\u5E93\u8FDE\u63A5\u6C60\u914D\u7F6E
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#\u5141\u8BB8\u7684\u6700\u5C0F\u7A7A\u95F2\u6570
spring.datasource.hikari.minimum-idle=5
#\u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570
spring.datasource.hikari.maximum-pool-size=50
spring.datasource.hikari.auto-commit=true
#\u7A7A\u95F2\u8D85\u65F6\u662F 180000 \u6BEB\u79D2\uFF0C\u5F53\u6570\u636E\u5E93\u8FDE\u63A5\u7684\u7A7A\u95F2\u65F6\u95F4\u5927\u4E8E180000\u6BEB\u79D2\u65F6\uFF0C\u8FD9\u4E9B\u7A7A\u95F2\u8D85\u65F6\u7684\u8FDE\u63A5\u4F1A\u88AB\u5173\u95ED\uFF0C\u76F4\u5230\u8D85\u65F6\u7684\u7A7A\u95F2\u8FDE\u63A5\u6570\u8FBE\u5230 minimum-idle\u7684\u503C
spring.datasource.hikari.idle-timeout=180000
spring.datasource.hikari.pool-name=DatebookHikariCP
spring.datasource.hikari.max-lifetime=1800000
#\u8FDE\u63A5\u8D85\u65F6\u65F6\u95F4\u8BBE\u7F6E\uFF0C\u9ED8\u8BA4\u662F30s
spring.datasource.hikari.connection-timeout=20000
# \u6D4B\u8BD5\u8FDE\u63A5\u662F\u5426\u53EF\u7528\u7684query \u8BED\u53E5 \u5728oracle\u662F select 1 from dual  36   28.26
spring.datasource.hikari.connection-test-query=SELECT 1

# \u6240\u6709Entity\u522B\u540D\u7C7B\u6240\u5728\u5305
mybatis.type-aliases-package=com.xhkjedu.model
mybatis.mapper-Locations=classpath*:mapper/**/*.xml
mapper.mappers=com.xhkjedu.base.TkMapper
mybatis.configuration.call-setters-on-nulls=true
mapper.identity=MYSQL
#\u6253\u5370\u65E5\u5FD7
logging.level.com.xhkjedu.slog.mapper=debug
#\u5206\u9875
spring.pagehelper.helper-dialect=mysql

#\u6D88\u8D39\u8005mq
rabbitmq.handleLogQueue=xhkjedutest.xhschool.handleLogQueue_dev
spring.rabbitmq.host=49.4.26.249
spring.rabbitmq.port=5672
spring.rabbitmq.username=xhkjedu
spring.rabbitmq.password=xhkjedud07
spring.rabbitmq.connection-timeout=15000
#rabbitmq\u81EA\u52A8\u7B7E\u6536
spring.rabbitmq.listener.simple.acknowledge-mode=auto
# \u662F\u5426\u5F00\u542F\u6D88\u8D39\u8005\u91CD\u8BD5\uFF08\u4E3Afalse\u65F6\u5173\u95ED\u6D88\u8D39\u8005\u91CD\u8BD5\uFF09
spring.rabbitmq.listener.simple.retry.enabled=true
# \u6700\u5927\u91CD\u8BD5\u91CD\u65B0\u6295\u9012\u6D88\u606F\u6B21\u6570
spring.rabbitmq.listener.simple.retry.max-attempts=3
# \u91CD\u8BD5\u91CD\u65B0\u6295\u9012\u6D88\u606F\u7684\u95F4\u9694\u65F6\u95F4\uFF08\u5355\u4F4D\u6BEB\u79D2\uFF09
spring.rabbitmq.listener.simple.retry.initial-interval=30000ms
#\u91CD\u8BD5\u6B21\u6570\u8D85\u8FC7\u4E0A\u9762\u7684\u8BBE\u7F6E\u4E4B\u540E\uFF0C\u662F\u5426\u4E22\u5F03(\u6D88\u8D39\u8005listener\u629B\u51FA\u5F02\u5E38\uFF0C\u662F\u5426\u91CD\u56DE\u961F\u5217\uFF08\u9ED8\u8BA4true\uFF1A\u91CD\u56DE\u961F\u5217\uFF0Cfalse\uFF1A\u4E0D\u91CD\u56DE\u961F\u5217\uFF08\u53EF\u7ED3\u5408\u6B7B\u4FE1\u4EA4\u6362\u673A\uFF09\uFF09
spring.rabbitmq.listener.simple.default-requeue-rejected=false

#\u5B9A\u65F6\u4EFB\u52A1
#\u9ED8\u8BA4\u4E3Afalse\uFF0C\u4E0D\u5F00\u542F\u5B9A\u65F6\u4EFB\u52A1
enable.scheduled=false
#\u6BCF\u96943s\u6E05\u9664\u4E00\u4E0B\u8BF7\u6C42\u5730\u5740map
cron.deleteUriMap=0/3 * * * * ?

#\u89E3\u6790ip\u5F52\u5C5E\u5730\u6570\u636E
ipregiondb=D:\\school\\ip2region.xdb

#\u7248\u672C\u53F7
buildnum=300
versionname=Test_v3.14.0
